Package com.databricks.jdbc.model.client.thrift.generated

## Class TGetDelegationTokenReq

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TGetDelegationTokenReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetDelegationTokenReq>`, `org.apache.thrift.TBase<TGetDelegationTokenReq,​TGetDelegationTokenReq._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TGetDelegationTokenReq
    extends Object
    implements org.apache.thrift.TBase<TGetDelegationTokenReq,​TGetDelegationTokenReq._Fields>, Serializable, Cloneable, Comparable<TGetDelegationTokenReq>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TGetDelegationTokenReq._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TGetDelegationTokenReq._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `owner`
`String` `renewer`
`TSessionHandle` `sessionHandle`

### Constructor Summary

Constructors
`TGetDelegationTokenReq()`
`TGetDelegationTokenReq​(TGetDelegationTokenReq other)` Performs a deep copy on other.
`TGetDelegationTokenReq​(TSessionHandle sessionHandle, String owner, String renewer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TGetDelegationTokenReq other)`
`TGetDelegationTokenReq` `deepCopy()`
`boolean` `equals​(TGetDelegationTokenReq that)`
`boolean` `equals​(Object that)`
`TGetDelegationTokenReq._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TGetDelegationTokenReq._Fields field)`
`String` `getOwner()`
`String` `getRenewer()`
`TSessionHandle` `getSessionHandle()`
`int` `hashCode()`
`boolean` `isSet​(TGetDelegationTokenReq._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetOwner()` Returns true if field owner is set (has been assigned a value) and false otherwise
`boolean` `isSetRenewer()` Returns true if field renewer is set (has been assigned a value) and false otherwise
`boolean` `isSetSessionHandle()` Returns true if field sessionHandle is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TGetDelegationTokenReq._Fields field, Object value)`
`TGetDelegationTokenReq` `setOwner​(String owner)`
`void` `setOwnerIsSet​(boolean value)`
`TGetDelegationTokenReq` `setRenewer​(String renewer)`
`void` `setRenewerIsSet​(boolean value)`
`TGetDelegationTokenReq` `setSessionHandle​(TSessionHandle sessionHandle)`
`void` `setSessionHandleIsSet​(boolean value)`
`String` `toString()`
`void` `unsetOwner()`
`void` `unsetRenewer()`
`void` `unsetSessionHandle()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sessionHandle

    public TSessionHandle sessionHandle

#### owner

    public String owner

#### renewer

    public String renewer

#### metaDataMap

    public static final Map<TGetDelegationTokenReq._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TGetDelegationTokenReq

    public TGetDelegationTokenReq()

#### TGetDelegationTokenReq

    public TGetDelegationTokenReq​(TSessionHandle sessionHandle,
                                  String owner,
                                  String renewer)

#### TGetDelegationTokenReq

    public TGetDelegationTokenReq​(TGetDelegationTokenReq other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TGetDelegationTokenReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetDelegationTokenReq,​TGetDelegationTokenReq._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetDelegationTokenReq,​TGetDelegationTokenReq._Fields>`

#### getSessionHandle

    public TSessionHandle getSessionHandle()

#### setSessionHandle

    public TGetDelegationTokenReq setSessionHandle​(TSessionHandle sessionHandle)

#### unsetSessionHandle

    public void unsetSessionHandle()

#### isSetSessionHandle

    public boolean isSetSessionHandle()

Returns true if field sessionHandle is set (has been assigned a value) and false otherwise

#### setSessionHandleIsSet

    public void setSessionHandleIsSet​(boolean value)

#### getOwner

    public String getOwner()

#### setOwner

    public TGetDelegationTokenReq setOwner​(String owner)

#### unsetOwner

    public void unsetOwner()

#### isSetOwner

    public boolean isSetOwner()

Returns true if field owner is set (has been assigned a value) and false otherwise

#### setOwnerIsSet

    public void setOwnerIsSet​(boolean value)

#### getRenewer

    public String getRenewer()

#### setRenewer

    public TGetDelegationTokenReq setRenewer​(String renewer)

#### unsetRenewer

    public void unsetRenewer()

#### isSetRenewer

    public boolean isSetRenewer()

Returns true if field renewer is set (has been assigned a value) and false otherwise

#### setRenewerIsSet

    public void setRenewerIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TGetDelegationTokenReq._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetDelegationTokenReq,​TGetDelegationTokenReq._Fields>`

#### getFieldValue

    public Object getFieldValue​(TGetDelegationTokenReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetDelegationTokenReq,​TGetDelegationTokenReq._Fields>`

#### isSet

    public boolean isSet​(TGetDelegationTokenReq._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetDelegationTokenReq,​TGetDelegationTokenReq._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TGetDelegationTokenReq that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TGetDelegationTokenReq other)

Specified by:
  `compareTo` in interface `Comparable<TGetDelegationTokenReq>`

#### fieldForId

    public TGetDelegationTokenReq._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetDelegationTokenReq,​TGetDelegationTokenReq._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`